#! /bin/sh
( . /sw/bin/init.sh
  cd $HOME/projects/kanbun/mecab-kanbun
  git pull
  D=incoming/$USER/dict
  mkdir -p $D
  git add $D
  git commit -am sync
  git push origin master
  for F
  do B=`basename $F`
     if [ ! -s $D/$B ]
     then cp `ls -1t incoming/*/dict/$B | head -1` $D/$B
     fi
     open -t $D/$B
     ( sleep 10800
       git pull
       git add $D/$B
       git commit -am $D/$B
       git push origin master
     ) &
  done
) > $HOME/makedict.log 2>&1
exit 0
